Security Enhanced Linux Reference Policy

# Layer: services

## Module: openvpn

Tunables Interfaces

### Description:

full-featured SSL VPN solution

### Tunables:

openvpn_enable_homedirs

##### Default value

false

##### Description

Allow openvpn to read home directories

Return

### Interfaces:

openvpn_admin( domain , role )

##### Summary

All of the rules required to administrate an openvpn environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the openvpn domain.

openvpn_domtrans( domain )

##### Summary

Execute OPENVPN clients in the openvpn domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_kill( domain )

##### Summary

Send OPENVPN clients the kill signal.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_read_config( domain )

##### Summary

Allow the specified domain to read OpenVPN configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_run( domain , role )

##### Summary

Execute OPENVPN clients in the openvpn domain, and allow the specified role the openvpn domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed the openvpn domain.

openvpn_signal( domain )

##### Summary

Send generic signals to OPENVPN clients.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

openvpn_signull( domain )

##### Summary

Send signulls to OPENVPN clients.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return